apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: navidrome
  namespace: argocd
spec:
  project: my-apps
  source:
    repoURL: https://git.dvirlabs.com/dvirlabs/my-apps.git
    targetRevision: HEAD
    path: charts/navidrome
    helm:
      valueFiles:
        - ../../manifests/navidrome/values.yaml
  destination:
    server: https://kubernetes.default.svc
    namespace: my-apps
  syncPolicy:
    automated:
      prune: true
      selfHeal: true
